# BEGIN SourceDeps(oneline):
BuildRequires: perl(Imager.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.23
%define module_name Imager-Filter-Autocrop
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.23
Release: alt1
Summary: Automatic crop filter for Imager.
Group: Development/Perl
License: artistic_2
URL: https://do-know.com

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEADER/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module extends `Imager' functionality with the autocrop filter, similar to ImageMagick and GraphicsMagick "trim". It does
have a few additional features as well, such as support for the border or detection-only mode. The distribution also includes
a command-line script autocrop.pl.

Note: If the image looks blank (whether genuinely or because of the 'fuzz' parameter), or if there is nothing to crop,
then the filter call will return false and the 'errstr' method will return appropriate message.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE README.md
%perl_vendor_privlib/I*

%files scripts
%_bindir/*

%changelog
* Wed Oct 12 2016 Igor Vlasenko <viy@altlinux.ru> 1.23-alt1
- initial import by package builder

